# Uses of Enum Class
javafx.application.ConditionalFeature

Packages that use ConditionalFeature
Package
Description
javafx.application
Provides the application life-cycle classes.

## Uses of ConditionalFeature in javafx.application

Methods in javafx.application that return ConditionalFeature
Modifier and Type
Method
Description
`static ConditionalFeature`
ConditionalFeature.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ConditionalFeature[]`
ConditionalFeature.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.application with parameters of type ConditionalFeature
Modifier and Type
Method
Description
`static boolean`
Platform.`isSupported(ConditionalFeature feature)`
Queries whether a specific conditional feature is supported by the platform.